ClassElementValue (Apache Commons BCEL 6.6.1 API)

org.apache.bcel.classfile

## Class ClassElementValue

- java.lang.Object
- - org.apache.bcel.classfile.ElementValue
  - - org.apache.bcel.classfile.ClassElementValue

-     public class ClassElementValue
      extends ElementValue

  Since:
    6.0

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.ElementValue

      `ANNOTATION, ARRAY, CLASS, cpool, ENUM_CONSTANT, PRIMITIVE_BOOLEAN, PRIMITIVE_BYTE, PRIMITIVE_CHAR, PRIMITIVE_DOUBLE, PRIMITIVE_FLOAT, PRIMITIVE_INT, PRIMITIVE_LONG, PRIMITIVE_SHORT, STRING, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassElementValue(int type, int idx, ConstantPool cpool)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dump(DataOutputStream dos)`
    `String` | `getClassString()`
    `int` | `getIndex()`
    `String` | `stringifyValue()`

    - ### Methods inherited from class org.apache.bcel.classfile.ElementValue

      `getElementValueType, readElementValue, toShortString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassElementValue

          public ClassElementValue(int type,
                                   int idx,
                                   ConstantPool cpool)

  - ### Method Detail

    - #### dump

          public void dump(DataOutputStream dos)
                    throws IOException

      Specified by:
        `dump` in class `ElementValue`
      Throws:
        `IOException`

    - #### getClassString

          public String getClassString()

    - #### getIndex

          public int getIndex()

    - #### stringifyValue

          public String stringifyValue()

      Specified by:
        `stringifyValue` in class `ElementValue`

Copyright © 2004–2022 The Apache Software Foundation. All rights reserved.